Auto Multiple Choice - Bug # 222: Automarks option does not work properly if \onecopy command is
not used.
Description: @automarks@ option does not work properly if @\onecopy@ command is not used. In this case the black

and white encoded boxes and the four corner marks are printed on the subject pages. These are not printed
when @\onecopy@ command is used.

| have attached a sample .tex file which illustrates this. Test the file, uncomment the lines containing the
@\onecopy@ command braces and and test the file again to see the difference.

History

10/09/2013 12:01 pm - Alexis Bienveniie
@automarks@ relies on the use of @\onecopy@ to work. The solution is to use @\onecopy@ even when only one copy is needed (in this case,

@\onecopy{1}{...}@). Does this have any drawback?
10/10/2013 01:04 pm - Anirvan Sarkar

Alexis Bienvenle wrote:

> Does this have any drawback?

| don't think so.

> @automarks@ relies on the use of @\onecopy@ to work.

AMC runs on a source file even without the use of @\onecopy@. Maybe AMC can implicitly wrap all the code inside a @\onecopy@ if it fails to detect
one in the source file. This will then solve both this issue and #224.

10/10/2013 01:26 pm - Alexis Bienvenlie
> Maybe AMC can implicitly wrap all the code inside a \onecopy if it fails to detect one in the source file.

Yes but | don't know how to do that...

10/31/2014 07:15 pm - Alexis Bienveniie

- Status changed from New to WontFix

Files

source.tex 6.8 kB 10/09/2013 Anirvan Sarkar
